Skip to main content
GET
/
api
/
search
Search Knowledge Base
curl --request GET \
  --url https://api.example.com/api/search
{
  "namespace": "<string>",
  "query": "<string>",
  "reranker_available": true,
  "result_count": 1,
  "results": [
    {
      "best_score": 1,
      "chunk_count": 2,
      "namespace": "<string>",
      "preview": "<string>",
      "source_type": "youtube",
      "title": "<string>",
      "url": "<string>",
      "source_id": "<string>",
      "timestamps": [
        123
      ],
      "video_id": "<string>"
    }
  ],
  "timing": {
    "rerank_ms": 0,
    "search_ms": 0,
    "total_ms": 0
  }
}

Query Parameters

q
string
required

Search query

Required string length: 1 - 500
namespace
string
default:All

Namespace to search

Maximum string length: 100
limit
integer
default:10

Max results

Required range: 1 <= x <= 15

Response

Successful Response

Response from the search endpoint.

namespace
string
required
query
string
required
reranker_available
boolean
required
result_count
integer
required
Required range: x >= 0
results
SearchSourceResult · object[]
required
timing
SearchTiming · object
required

Timing breakdown for a search request (no LLM).